TYPO3 6.2 LTS est sortie, les extensions Archriss aussi!

06.04 / 2015

SPÉCIFICITÉ

Modules Archriss 

AUTEUR

Christophe Monard (CMD)

URLS

CMD Source Include
CMD SysFolder Icon
CMD Api

TYPO3

Réalisation

Blog

TYPO3 6.2 LTS, c'est officiel, la nouvelle mouture est sortie!

TYPO3 6.2 LTS

Planifiée pour le 25 Mars 2014, la dernière branche LTS (Long Term Support) a enfin vu le jour après plusieurs reports.

Cette nouvelle version se veut plus rapide, plus sécurisée, plus simple à déployer. L'interface, bien que reprenant les concepts de base, se veut plus aérée. Les polices sont un peu plus grosses, un peu plus lisibles. L'espace entre les menus, les pages et les contenus a été réajusté afin d'augmenter la lisibilité.

Cette nouvelle version apporte la nécessité d'avoir un serveur récent (comme toute la branche 6.x) proposant PHP 5.3.7 minimum (ainsi que MySQL 5.1). L'utilisation des namespaces PHP rendant cette montée de version obligatoire. Il est précisé cependant que pour certaines distributions linux, cette version peut fonctionner (toutefois avec des réserves) sur des versions PHP tel que les 5.3.3-x.

Certains modules ont subi un lifting. On notera la refonte débutée sur les versions 4.5 / 4.6 du gestionnaire d'extensions, qui a encore évolué et a vu son interface épurée, simplifiée. La gestion des langues de TYPO3 est devenue un module à part entière. L'install Tool a subi à son tour une refonte, le rendant plus probant, plus performant, mais aussi apportant un écran de préréglage pour certaines fonctionnalités.

Néanmoins, tout n'est pas rose et il faudra s'armer de patience et de temps pour effectuer une montée de version d'une plateforme existante en 4.5 / 4.6 ou 6.x, ceci notamment à cause de la disparition du répertoire t3lib, du fait que certaines extensions ne sont toujours pas compatibles et qu'aucune date de mise à jour n'est annoncée. Chaque développeur procède à l'upgrade comme il le souhaite. Les extensions les plus courantes et les moins complexes ne devraient cependant pas poser de problème, des classes de migrations sont présentes au sein du corps de TYPO3 et seront présentes jusqu'à la version 7.

Et les extensions Archriss ???

Archriss étant toujours sur le qui-vive, la première extension entièrement compatible avec la branche 6 est sortie la veille de la sortie de la version 6.2 LTS de TYPO3.
Vous retrouverez donc l'extension "Archriss SOAP Api" en version 6.0.0!
Cette extension, vous permet de connecter et d'appeler de manière plus simple un webservice distant, le tout étant paramétrable depuis le gestionnaire d'extensions ou en surchargeant le fonctionnement lors de l'instanciation de la classe. Elle reste toutefois compatible avec les développements existants grâce à la présence du code de migration des classes.

D'autres extensions de développeurs Archriss ont vu leurs mises à jour effectuées afin d'être prêtes à temps:

  • CMD Source Include en version 6.0.0: qui vous permettra d'optimiser et de regrouper feuilles de styles et fichiers javascript respectivement en 1 fichier afin d'optimiser votre score YSlow, GTMetrix, et ainsi éviter les latences dues à un nombre grandissant de ressources. Le code de migration est présent et permettra d'upgrader une plateforme existante.
  • CMD SysFolder Icon en version 6.0.0: qui vous permettra de créer des icônes personnalisées pour les dossiers de stockage backend en toute simplicité.
  • CMD Api en version 6.0.4: une librairie de fonctions simplifiant l'accès aux éléments de TYPO3 et permettant un gain de productivité en regroupant les fonctionnalités récurrentes que l'on peut avoir à développer sur un site. Le code de migration est présent et permettra d'upgrader une plateforme existante, il faudra pour certaines fonctionnalités vérifier le code, la montée de version de TYPO3 ayant supprimé certains appels de fonctions.

Merci pour votre lecture :)

À lire aussi

Blog

Migration vers TYPO3 6.2

Retour vers News & Blog